org.eclipse.eef

## Interface EEFDynamicMappingIf

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFDynamicMappingIfImpl

    public interface EEFDynamicMappingIf
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Dynamic Mapping If'.

The following features are supported:

- `Predicate Expression`
- `Widget`

See Also:
  `EefPackage.getEEFDynamicMappingIf()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getPredicateExpression()` Returns the value of the 'Predicate Expression' attribute.
`EEFWidgetDescription` `getWidget()` Returns the value of the 'Widget' containment reference.
`void` `setPredicateExpression(java.lang.String value)` Sets the value of the '`Predicate Expression`' attribute.
`void` `setWidget(EEFWidgetDescription value)` Sets the value of the '`Widget`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getPredicateExpression

    java.lang.String getPredicateExpression()

Returns the value of the 'Predicate Expression' attribute. The expression used to determine if we will use the widget.

Returns:
  the value of the 'Predicate Expression' attribute.
See Also:
  `setPredicateExpression(String)`, `EefPackage.getEEFDynamicMappingIf_PredicateExpression()`

#### setPredicateExpression

    void setPredicateExpression(java.lang.String value)

Sets the value of the '`Predicate Expression`' attribute.

Parameters:
  `value` - the new value of the 'Predicate Expression' attribute.
See Also:
  `getPredicateExpression()`

#### getWidget

    EEFWidgetDescription getWidget()

Returns the value of the 'Widget' containment reference. The widget to create if the predicate expression is evaluated to true.

Returns:
  the value of the 'Widget' containment reference.
See Also:
  `setWidget(EEFWidgetDescription)`, `EefPackage.getEEFDynamicMappingIf_Widget()`

#### setWidget

    void setWidget(EEFWidgetDescription value)

Sets the value of the '`Widget`' containment reference.

Parameters:
  `value` - the new value of the 'Widget' containment reference.
See Also:
  `getWidget()`